Page MenuHomePhabricator

Fix filtering of relevant changes in ChangeDispatcher
Closed, ResolvedPublic

Description

the dispatchChanges.php maintenance script (resp the ChangeDispatcher class, after If5ea19e29a15) filters changes by whether a given client wiki is (a) subscribed(*) to the entity that was changed or (b) whether the change affects the sitelink to that client wiki. The second check appears to be broken (always returns false).

Note that currently, the isRelevantChange() check is ineffective, since the return value is checked against !== null, which is always true, since the method returns a boolean (see Ib6f733fbd8).

(*) Subscription is currently determined based on wb_items_per_site, but in future will be determined via wb_changes_subscription, see T66590.

Event Timeline

daniel created this task.Mar 25 2015, 6:05 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added subscribers: daniel, hoo, aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 6:05 PM
Lydia_Pintscher triaged this task as Normal priority.Mar 30 2015, 10:40 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Tobi_WMDE_SW closed this task as Resolved.Apr 7 2015, 12:07 PM
Tobi_WMDE_SW claimed this task.